Bug 526406 - Sound gone after upgrading to kernel-PAE-2.6.30.8-64.fc11.i686
Summary: Sound gone after upgrading to kernel-PAE-2.6.30.8-64.fc11.i686
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 05:51 UTC by Uno Engborg
Modified: 2010-06-28 14:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 529204 (view as bug list)
Environment:
Last Closed: 2010-06-28 14:51:25 UTC


Attachments (Terms of Use)
alsa-info.sh output (28.20 KB, text/plain)
2009-10-20 21:23 UTC, Chris Nolan
no flags Details
alsa-info.sh version 0.4.58 (29.59 KB, text/plain)
2009-10-28 21:32 UTC, Petros Athanassopoulos
no flags Details

Description Uno Engborg 2009-09-30 05:51:10 UTC
Description of problem: No sound what so ever


Version-Release number of selected component (if applicable):
kernel-PAE-2.6.30.8-64.fc11.i686


How reproducible:
Always

Steps to Reproduce:
1. Try to play a flash movie or anything else that holds sound, even the login sound is gone



Additional info:

I'm using a Thinkpad R50e. lspci output below will give you some info on the harware involved:

00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 01)
02:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
02:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
02:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller (rev 81)




In the /var/log/messages I get the following sound related messages:

Sep 30 07:19:29 humlan pulseaudio[1930]: alsa-sink.c: Device hw:1 is modem, refusing further initialization.
Sep 30 07:19:29 humlan pulseaudio[1930]: alsa-source.c: Device hw:1 is modem, refusing further initialization.
Sep 30 07:19:30 humlan dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1930 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1462 comm="/usr/sbin/bluetoothd "))
Sep 30 07:19:30 humlan pulseaudio[1930]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Sep 30 07:19:31 humlan pulseaudio[1930]: alsa-sink.c: Increasing wakeup watermark to 30,00 ms
Sep 30 07:19:34 humlan pulseaudio[1930]: alsa-sink.c: Increasing wakeup watermark to 40,00 ms
Sep 30 07:19:34 humlan pulseaudio[1930]: alsa-source.c: Increasing wakeup watermark to 30,00 ms
Sep 30 07:19:34 humlan pulseaudio[1930]: alsa-sink.c: Increasing wakeup watermark to 50,00 ms
Sep 30 07:19:36 humlan pulseaudio[1930]: alsa-sink.c: Increasing wakeup watermark to 60,00 ms
Sep 30 07:19:51 humlan pulseaudio[2061]: alsa-sink.c: Device hw:1 is modem, refusing further initialization.
Sep 30 07:19:51 humlan pulseaudio[2061]: alsa-source.c: Device hw:1 is modem, refusing further initialization.
Sep 30 07:19:54 humlan pulseaudio[2061]: alsa-source.c: Increasing wakeup watermark to 30,00 ms
Sep 30 07:19:54 humlan pulseaudio[2120]: pid.c: Daemon already running.
Sep 30 07:19:54 humlan pulseaudio[2061]: alsa-source.c: Increasing wakeup watermark to 40,00 ms
Sep 30 07:19:56 humlan pulseaudio[2061]: alsa-source.c: Increasing wakeup watermark to 50,00 ms
Sep 30 07:19:57 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 30,00 ms
Sep 30 07:20:00 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 40,00 ms
Sep 30 07:20:00 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 50,00 ms
Sep 30 07:20:02 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 60,00 ms
Sep 30 07:20:32 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 70,00 ms
Sep 30 07:20:33 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 80,00 ms
Sep 30 07:20:34 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 90,00 ms
Sep 30 07:20:35 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 100,00 ms
Sep 30 07:22:21 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 110,00 ms
Sep 30 07:22:24 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 120,00 ms
Sep 30 07:22:24 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 130,00 ms
Sep 30 07:22:41 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 140,00 ms
Sep 30 07:22:44 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 150,00 ms
Sep 30 07:24:37 humlan pulseaudio[2061]: alsa-sink.c: Increasing wakeup watermark to 160,00 ms


My guess is that there is some kind of problem with the sound drivers

Comment 1 Chris Nolan 2009-10-02 17:12:49 UTC
Same here on 2.6.30.8-64.fc11.x86_64

I am having to boot to previous kernel 2.6.30.5-43.fc11.x86_64 to get sound.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Let me know if I can provide more info.

Comment 2 Rakesh Jain 2009-10-02 18:36:27 UTC
Same here for me also in kernel-PAE-2.6.30.8-64.fc11.i686

The system details are:

Processor Information
	Socket Designation: J1PR
	Type: Central Processor
	Family: Pentium D
	Manufacturer: Intel(R) Corporation
	Signature: Type 0, Family 6, Model 23, Stepping 6
On Board Device Information
	Type: Sound
	Status: Enabled
	Description: Intel(R) High Definition Audio Device



Let me know if I can provide more details on this.

Comment 3 Eduard Benes 2009-10-14 13:30:28 UTC
I'm having probably related issue with pulseaudio. When playing audio files (mp3, flac) in amarok (2.2.0-2.fc11.i586)
the playback occassionally clicks (or pauses and resumes in a milisecond?).
This appears to be related to syslog messages listed below, causing my log file to grow and grow. (not to mention those annoying clicks in the playback ;-) )
I'll file a new bug if this is a separate issue, or bug in different component (pulseaudio).

Kernel: 2.6.30.8-64.fc11.i686.PAE 
Pulseaudio: pulseaudio-0.9.15-17.fc11
Audio device:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

$ tail -f /var/log/messages
Oct 14 14:43:34 godot kernel: CE: hpet increasing min_delta_ns to 170856 nsec
Oct 14 14:43:50 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 120.00 ms
Oct 14 14:43:55 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 130.00 ms
Oct 14 14:44:04 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 140.00 ms
Oct 14 14:44:10 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 150.00 ms
Oct 14 14:44:11 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 160.00 ms
Oct 14 14:44:11 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 170.00 ms
Oct 14 14:44:12 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 180.00 ms
Oct 14 14:44:14 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 190.00 ms
Oct 14 14:44:14 godot pulseaudio[2406]: alsa-sink.c: Increasing wakeup watermark to 200.00 ms
Oct 14 14:45:01 godot pulseaudio[2406]: ratelimit.c: 1 events suppressed
Oct 14 14:45:01 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Oct 14 15:13:44 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Oct 14 15:13:49 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 4.00 ms
Oct 14 15:13:51 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 8.00 ms
Oct 14 15:13:51 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 16.00 ms
Oct 14 15:13:52 godot pulseaudio[2406]: alsa-sink.c: Increasing minimal latency to 26.00 ms

Comment 4 Adam Williamson 2009-10-20 21:07:46 UTC
Eduardo's issue has been split off as 529204. Let's keep this for the 'sound broken by kernel -64' bug. Just for the record.

Can we please get 'alsa-info.sh --no-upload' output from each reporter (except Eduardo)? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Chris Nolan 2009-10-20 21:23:20 UTC
Created attachment 365428 [details]
alsa-info.sh output

As requested.

Comment 6 Petros Athanassopoulos 2009-10-28 21:32:20 UTC
Created attachment 366502 [details]
alsa-info.sh version 0.4.58

same for kernel 2.6.30.9-90.fc11.x86_64 ...

Comment 7 Adam Williamson 2009-10-28 21:44:58 UTC
So both MacBooks, but different models (a MacBook4,1 and a MacBookPro5,2). Different audio controllers.

Can you both create a file /etc/modprobe.d/alsa.conf with this content:

options snd-hda-intel model=auto

and reboot, see if that changes anything? Thanks.

Comment 8 Chris Nolan 2009-10-28 22:26:06 UTC
Hi Adam, thanks for your attention to this ticket, I hope we can get this resolved.

I tried both the following in /etc/modprobe.d/alsa.conf with no joy:

options snd-hda-intel model=auto

options snd_hda_intel model=mbp3

The latter is what used to fix the sound in Fedora 8 on this machine, but since Fedora 9, and up until kernel 2.6.30.8.fc11 this has not been required and sound worked just fine "out of the box". Now it's broken again and we have to run old kernels :(

Comment 9 Adam Williamson 2009-10-28 22:36:16 UTC
yeah, I was asking in case some new quirk has been added that was wrong for your hardware. model=auto overrides all hardcoded quirks and tells it to just use auto-detection.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Adam Williamson 2009-10-28 22:37:01 UTC
btw, do you have time to check with Fedora 12 Beta and see if it works there, so we know if this is still broken in 12 or if it was fixed with the newer kernel?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Chris Nolan 2009-10-29 21:22:46 UTC
Hi Adam, I just checked with F12 Beta x86_64 Live CD and the sound worked just fine there on my system. Can this be fixed in F11? 

Would be nice to know what is causing it so that the same regression isn't introduced into the F12 kernel!

Comment 12 Adam Williamson 2009-10-30 00:11:04 UTC
it almost certainly _can_ be fixed, that info should help Jaroslav track down what changed, I hope he'll have the time to fix up f11. Jaroslav?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Chris Nolan 2009-12-03 19:58:53 UTC
Just an update:

I am now using 2.6.30.9-99.fc11.x86_64 and the sound has come back. I went in to "alsamixer", selected the "HDA Intel" soundcard and noticed that "Speaker" was muted. I unmuted that, did a "alsactl store" and all seems good. Not sure if this means I am no longer using pulseaudio, but sound works.

Comment 14 Adam Williamson 2009-12-03 20:07:59 UTC
no reason that would stop you using pulseaudio. it's easy to check - run pavucontrol and see if you can monitor things from there.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Chris Nolan 2009-12-03 20:19:16 UTC
Thanks Adam. Pulseaudio seems to be working just fine. For me this bug has now gone away.

Maybe the other reporters can try fiddling with alsamixer and see if they can get their sound back too?

Comment 16 Bug Zapper 2010-04-28 10:37:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2010-06-28 14:51:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.